Name: x11-driver-input-vmmouse
Version: 13.2.0
Release: %mkrel 2
Summary: Xorg input driver for mice in VMware
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-vmmouse-%{version}.tar.xz
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86} x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0

%description
The VMMouse driver enables support for the special VMMouse protocol
that is provided by VMware virtual machines to give absolute pointer
positioning.

Installing the driver will improve the user experience when using the
mouse to interact with the guest operating system. In particular, use of
the driver improves mouse "lag", provides mouse speed and acceleration
consistent with the user's host operating system, and enables the
auto-grab/ungrab feature in VMware products without requiring the VMware
toolbox application.


%prep
%setup -q -n xf86-input-vmmouse-%{version}
%apply_patches

%build
%configure2_5x --with-xorg-conf-dir=/etc/X11/xorg.conf.d --with-udev-rules-dir=/lib/udev/rules.d

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi
%{_libdir}/hal/hal-probe-vmmouse
%{_libdir}/xorg/modules/input/vmmouse_drv.la
%{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_bindir}/vmmouse_detect
%{_mandir}/man1/vmmouse_detect.*
%{_mandir}/man4/vmmouse.*
/lib/udev/rules.d/69-xorg-vmmouse.rules
%config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/50-vmmouse.conf


%changelog
* Mon Dec 19 2022 tex - 13.2.0-2pclos2022
- rebuild against updates

* Thu Nov 03 2022 tex - 13.2.0-1pclos2022
- new version

* Wed Jan 26 2022 tex - 13.1.0-3.1pclos2022
- rebuild against updates

* Thu Mar 21 2019 tex - 13.1.0-2.1pclos2019
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 13.1.0-1.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 13.1.0-1pclos2016
- updated and rebuild new xorg

